<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="22" short-name="lucky-number-theory" url="https://polygon.codeforces.com/p6ZCb6E/tourist/lucky-number-theory">
    <names>
        <name language="english" value="Lucky Number Theory"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>4000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>19</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="all --max-n=3 --max-d=3" method="generated"/>
                <test cmd="all --max-n=5 --max-d=5" method="generated"/>
                <test cmd="all --max-n=10 --max-d=10" method="generated"/>
                <test cmd="random --min-n=10 --max-n=50" method="generated"/>
                <test cmd="random --min-n=100 --max-n=500" method="generated"/>
                <test cmd="random --min-n=500 --max-n=1000" method="generated"/>
                <test cmd="random --min-n=1000 --max-n=1500" method="generated"/>
                <test cmd="random --min-n=1500 --max-n=2000" method="generated"/>
                <test cmd="random --min-n=1900 --max-n=2000" method="generated"/>
                <test cmd="random --min-n=1990 --max-n=2000" method="generated"/>
                <test cmd="random --min-n=2000 --max-n=2000" method="generated"/>
                <test cmd="all --min-n=2000 --max-d=1" method="generated"/>
                <test cmd="all --min-n=2000 -min-k=2000" method="generated"/>
                <test cmd="all --max-d=1 --min-k=2000" method="generated"/>
                <test cmd="all --max-n=1 --max-d=1" method="generated"/>
                <test cmd="all --min-n=1892 --min-k=1939 --min-d=1 --max-d=1" method="generated"/>
                <test cmd="all --min-n=1892 --min-k=1939 --min-d=42 --max-d=42" method="generated"/>
                <test cmd="all --min-n=1892 --min-k=1939 --min-d=2000 --max-d=2000" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/all.cpp" type="cpp.g++17"/>
                <binary path="files/all.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/random.cpp" type="cpp.g++17"/>
                <binary path="files/random.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::rcmp6.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>8</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/347935018_ksun48_tl7.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347935018_ksun48_tl7.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347935106_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347935106_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348059551_shade34_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348059551_shade34_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348076592_RomkaRS_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348076592_RomkaRS_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348124546_Karuk_BLOBVISGOD_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348124546_Karuk_BLOBVISGOD_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/lucky_av.cpp" type="cpp.g++17"/>
                <binary path="solutions/lucky_av.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-accepted">
                <source path="solutions/lucky_av_decimal.py" type="python.3"/>
                <binary path="solutions/lucky_av_decimal.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/lucky_av_py.py" type="python.3"/>
                <binary path="solutions/lucky_av_py.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="dynamic programming"/>
        <tag value="math"/>
        <tag value="probability"/>
    </tags>
</problem>
